#gameWindow {
    display: none;
    position: fixed;
    top: 0;
    transition: opacity 5s;
    opacity: 1;
    touch-action: none;
}

#gameWindow.startup {
    opacity: 0;
}

#HUD {
    display: none;
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    z-index: 10;
    font-size: 2.5vmin;
    transition: opacity 5s;
    opacity: 1;
    touch-action: none;
    white-space: nowrap;
    cursor: grab;
}

#HUD.startup {
    opacity: 0;
}

#HUD #planets {
    position: absolute;
    bottom: 0;
    width: 100%;
    padding: 1vmin;
    z-index: 90;
}

#HUD #planets div {
    display: flex;
}

#HUD button {
    float: left;
    color: goldenrod;
    border: 2px solid darkslategray;
    width: 5vmin;
    height: 5vmin;
    margin: 0 0.5vmin;
    font-size: 6vmin;
    line-height: 6vmin;
    background-color: black;
    padding: 0;
}

#HUD button.disabled {
    color: gray;
    border-color: gray;
}

#HUD #planets button {
    flex-grow: 1;
    margin: 0.3vmin;
    width: auto;
    height: auto;
    font-size: 4vmin;
    line-height: 4vmin;
}

#HUD #currentDate div {
    float: left;
    width: 30vmin;
    text-align: center;
}

#HUD #currentDate #currentMonth, #HUD #currentDate #currentTime {
    position: absolute;
    left: 1vmin;
    width: 43vmin;
    font-size: 4vmin;
    line-height: 6vmin;
}

#HUD #currentDate #currentMonth {
    top: 8vmin;
}

#HUD #currentDate #currentTime {
    top: 2vmin;
}

#HUD #functions {
    position: absolute;
    top: 14vmin;
    left: 1vmin;
    width: 4vmin;
}

#HUD #functions button, #HUD #currentDate button, #HUD #solarSystemScale button {
    margin: 0.5vmin;
    padding: 0;
}

#HUD .oi {
    text-indent: -1000px;
    background-repeat: no-repeat;
    background-size: contain;
}

#b_monthM, #b_timeM {
    background-image: url("hud/icon_minus.png");
}
#b_monthP, #b_timeP {
    background-image: url("hud/icon_plus.png");
}
#b_light {
    background-image: url("hud/icon_sun.png");
}
#b_longLat {
    background-image: url("hud/icon_longlat.png");
}
#b_timeZone {
    background-image: url("hud/icon_time.png");
}
#b_clouds {
    background-image: url("hud/icon_clouds.png");
}
#b_info {
    background-image: url("hud/icon_info.png");
}
#b_scale {
    background-image: url("hud/icon_distance.png");
}

#HUD #keyOverlay {
    display: none;
    position: absolute;
    width: 50%;
    left: 25%;
    top: 65%;
    padding: 1vmin;
    font-size: 3vmin;
    text-align: center;
    background-color: rgba(0, 0, 0, 0.6);
}

#HUD #infoBox {
    display: none;
    position: absolute;
    top: 14vmin;
    right: 0;
    width: 30vmin;
    padding: 1%;
    line-height: 1.2em;
    text-align: right;
    background-color: rgba(0, 0, 0, 0.6);
}

#HUD #infoBox h1 {
    font-size: 5vmin;
    line-height: 5vmin;
}

#HUD #longitude, #HUD #latitude, #HUD #timeZones {
    display: none;
    position: absolute;
    background-color: rgba(0, 0, 0, 0.6);
    border: 1px solid white;
}

#HUD #longitude {
    bottom: 18%;
    left: 50%;
    width: 22vmin;
    margin-left: -10vmin;
}

#HUD #latitude {
    top: 50%;
    left: 10%;
    width: 20vmin;
    margin-top: -1vmin;
}

#HUD #timeZones {
    top: 10vmin;
    left: 50%;
    width: 16vmin;
    margin-left: -8vmin;
}

#HUD #longitude div, #HUD #latitude div, #HUD #timeZones div {
    display: block;
    float: left;
}

#HUD #longitude div, #HUD #latitude div {
    width: 50%;
    text-align: right;
}

#HUD #longitude #long_value, #HUD #latitude #lat_value {
    width: 50%;
    text-align: left;
    padding-left: 2%;
    font-weight: bold;
}

#HUD #timeZones #tz_label {
    width: 65%;
    text-align: right;
}

#HUD #timeZones #tz_value {
    width: 35%;
    text-align: left;
    padding-left: 2%;
    font-weight: bold;
}

#HUD #longitude #long_pointer {
    position: absolute;
    z-index: -1;
    left: 10vmin;
    bottom: 100%;
    width: 4px;
    height: 20vmin;
    background-color: white;
    border: 1px solid black;
    margin-left: -2px;
}

#HUD #latitude #lat_pointer {
    position: absolute;
    z-index: -1;
    left: 100%;
    top: 50%;
    width: 20vmin;
    height: 4px;
    background-color: white;
    border: 1px solid black;
    margin-top: -2px;
}

#HUD #timeZones #tz_pointer {
    position: absolute;
    z-index: -1;
    left: 8vmin;
    top: 100%;
    width: 4px;
    height: 10vmin;
    background-color: white;
    border: 1px solid black;
    margin-left: -2px;
}

#HUD #solarSystemScale {
    position: absolute;
    top: 8vmin;
    right: 2vmin;
    font-size: 4vmin;
    line-height: 6vmin;
    width: 35vmin;
}

#HUD #solarSystemScale button {
    float: right;
}

#HUD #solarSystemScale div {
    float: left;
}

#HUD #solarSystemScale #sss_value {
    font-weight: bold;
    padding-left: 2%;
}

#HUD #markers {
    display: block;
    position: absolute;
    text-align: center;
    z-index: -1;
}

#HUD #markers div {
    float: left;
    width: 10vmin;
    height: 3vmin;
    background-color: rgba(0, 0, 0, 0.4);
}

#HUD #markers #marker_earth, #HUD #markers #marker_jupiter, #HUD #markers #marker_saturn, #HUD #markers #marker_mars, #HUD #markers #marker_mercury, #HUD #markers #marker_neptune, #HUD #markers #marker_uranus, #HUD #markers #marker_venus {
    position: absolute;
    margin: -5vmin 0 0 -5vmin;
}

#HUD #markers .frame {
    position: absolute;
    z-index: -1;
    left: 5vmin;
    top: 100%;
    width: 4px;
    height: 1.5vmin;
    margin-left: -2px;
    background-color: white;
    border: 1px solid black;
}

#cd {
    position: absolute;
    top: 45%;
    left: 50%;
    z-index: 40;
    margin: -64px 0 0 -64px;
}